{
    config,
    lib,
    pkgs,
    ...
}:
{
  environment.systemPackages = [
    pkgs.bluez
  ];
  hardware.bluetooth = {
    enable = true;
    powerOnBoot = true;
    settings = {
      General = {
        Name = "Nixtre";
        ControllerMode = "dual";
        FastConnectable = "true";
        Experimental = "true";
      };
      Policy = {
        AutoEnable = "true";
      };
    };
  };
}
